summaryrefslogtreecommitdiff
path: root/qa/902
diff options
context:
space:
mode:
Diffstat (limited to 'qa/902')
-rwxr-xr-xqa/90237
1 files changed, 37 insertions, 0 deletions
diff --git a/qa/902 b/qa/902
new file mode 100755
index 0000000..b887902
--- /dev/null
+++ b/qa/902
@@ -0,0 +1,37 @@
+#!/bin/sh
+# PCP QA Test No. 902
+# valgrind for pmUnpackHighResEventRecords and pmFreeHighResEventResult
+#
+# Copyright (c) 2014 Red Hat.
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+# can skip stdout from unpack, that's checked in 901
+#
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/=== filtered / { skip = 0 }
+skip == 0 { print }'
+}
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+_run_valgrind src/hrunpack | _filter
+
+# success, all done
+exit